io.agora.rtc

## Class AgoraMediaNodeFactory

- java.lang.Object
- - io.agora.rtc.AgoraMediaNodeFactory

-     public class AgoraMediaNodeFactory
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `cptr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgoraMediaNodeFactory(long cptr)` Constructor for AgoraMediaNodeFactory.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AgoraAudioEncodedFrameSender` | `createAudioEncodedFrameSender()` Creates an instance of AgoraAudioEncodedFrameSender.
    `AgoraAudioPcmDataSender` | `createAudioPcmDataSender()` Creates an instance of AgoraAudioPcmDataSender.
    `AgoraCameraCapturer` | `createCameraCapturer()` Creates an instance of AgoraCameraCapturer.
    `AgoraMediaPacketSender` | `createMediaPacketSender()` Creates an instance of AgoraMediaPacketSender.
    `AgoraMediaPlayerSource` | `createMediaPlayerSource(int type)` Creates an instance of AgoraMediaPlayerSource.
    `AgoraScreenCapturer` | `createScreenCapturer()` Creates an instance of AgoraScreenCapturer.
    `AgoraVideoEncodedImageSender` | `createVideoEncodedImageSender()` Creates an instance of AgoraVideoEncodedImageSender.
    `AgoraVideoFrameSender` | `createVideoFrameSender()` Creates an instance of AgoraVideoFrameSender.
    `AgoraVideoMixer` | `createVideoMixer()` Creates an instance of AgoraVideoMixer.
    `AgoraVideoRenderer` | `createVideoRenderer()` Creates an instance of AgoraVideoRenderer.
    `void` | `destroy()` Destroys the media node factory.
    `private AgoraAudioEncodedFrameSender` | `nativeCreateAudioEncodedFrameSender(long cptr)`
    `private AgoraAudioPcmDataSender` | `nativeCreateAudioPcmDataSender(long cptr)`
    `private AgoraCameraCapturer` | `nativeCreateCameraCapturer(long cptr)`
    `private AgoraMediaPacketSender` | `nativeCreateMediaPacketSender(long cptr)`
    `private AgoraMediaPlayerSource` | `nativeCreateMediaPlayerSource(long cptr, int type)`
    `private AgoraScreenCapturer` | `nativeCreateScreenCapturer(long cptr)`
    `private AgoraVideoEncodedImageSender` | `nativeCreateVideoEncodedImageSender(long cptr)`
    `private AgoraVideoFrameSender` | `nativeCreateVideoFrameSender(long cptr)`
    `private AgoraVideoMixer` | `nativeCreateVideoMixer(long cptr)`
    `private AgoraVideoRenderer` | `nativeCreateVideoRenderer(long cptr)`
    `private void` | `nativeDestroy(long cptr)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cptr

          private long cptr

  - ### Constructor Detail

    - #### AgoraMediaNodeFactory

          public AgoraMediaNodeFactory(long cptr)

      Constructor for AgoraMediaNodeFactory.
      Parameters:
        `cptr` - Pointer to the native media node factory object.

  - ### Method Detail

    - #### destroy

          public void destroy()

      Destroys the media node factory. Ensures that the native resources are released.

    - #### createAudioPcmDataSender

          public AgoraAudioPcmDataSender createAudioPcmDataSender()

      Creates an instance of AgoraAudioPcmDataSender.
      Returns:
        An instance of AgoraAudioPcmDataSender.

    - #### createAudioEncodedFrameSender

          public AgoraAudioEncodedFrameSender createAudioEncodedFrameSender()

      Creates an instance of AgoraAudioEncodedFrameSender.
      Returns:
        An instance of AgoraAudioEncodedFrameSender.

    - #### createCameraCapturer

          public AgoraCameraCapturer createCameraCapturer()

      Creates an instance of AgoraCameraCapturer.
      Returns:
        An instance of AgoraCameraCapturer.

    - #### createScreenCapturer

          public AgoraScreenCapturer createScreenCapturer()

      Creates an instance of AgoraScreenCapturer.
      Returns:
        An instance of AgoraScreenCapturer.

    - #### createVideoMixer

          public AgoraVideoMixer createVideoMixer()

      Creates an instance of AgoraVideoMixer.
      Returns:
        An instance of AgoraVideoMixer.

    - #### createVideoFrameSender

          public AgoraVideoFrameSender createVideoFrameSender()

      Creates an instance of AgoraVideoFrameSender.
      Returns:
        An instance of AgoraVideoFrameSender.

    - #### createVideoEncodedImageSender

          public AgoraVideoEncodedImageSender createVideoEncodedImageSender()

      Creates an instance of AgoraVideoEncodedImageSender.
      Returns:
        An instance of AgoraVideoEncodedImageSender.

    - #### createVideoRenderer

          public AgoraVideoRenderer createVideoRenderer()

      Creates an instance of AgoraVideoRenderer.
      Returns:
        An instance of AgoraVideoRenderer.

    - #### createMediaPlayerSource

          public AgoraMediaPlayerSource createMediaPlayerSource(int type)

      Creates an instance of AgoraMediaPlayerSource.
      Parameters:
        `type` - The type of media player source to create.
      Returns:
        An instance of AgoraMediaPlayerSource.

    - #### createMediaPacketSender

          public AgoraMediaPacketSender createMediaPacketSender()

      Creates an instance of AgoraMediaPacketSender.
      Returns:
        An instance of AgoraMediaPacketSender.

    - #### nativeDestroy

          private void nativeDestroy(long cptr)

    - #### nativeCreateAudioPcmDataSender

          private AgoraAudioPcmDataSender nativeCreateAudioPcmDataSender(long cptr)

    - #### nativeCreateAudioEncodedFrameSender

          private AgoraAudioEncodedFrameSender nativeCreateAudioEncodedFrameSender(long cptr)

    - #### nativeCreateCameraCapturer

          private AgoraCameraCapturer nativeCreateCameraCapturer(long cptr)

    - #### nativeCreateScreenCapturer

          private AgoraScreenCapturer nativeCreateScreenCapturer(long cptr)

    - #### nativeCreateVideoMixer

          private AgoraVideoMixer nativeCreateVideoMixer(long cptr)

    - #### nativeCreateVideoFrameSender

          private AgoraVideoFrameSender nativeCreateVideoFrameSender(long cptr)

    - #### nativeCreateVideoEncodedImageSender

          private AgoraVideoEncodedImageSender nativeCreateVideoEncodedImageSender(long cptr)

    - #### nativeCreateVideoRenderer

          private AgoraVideoRenderer nativeCreateVideoRenderer(long cptr)

    - #### nativeCreateMediaPlayerSource

          private AgoraMediaPlayerSource nativeCreateMediaPlayerSource(long cptr,
                                                                       int type)

    - #### nativeCreateMediaPacketSender

          private AgoraMediaPacketSender nativeCreateMediaPacketSender(long cptr)